package cz.jzitnik.game.entities.items.registry.mobs;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.CustomMobFallingAfterMineLogic;
import cz.jzitnik.game.annotations.EntityRegistry;
import cz.jzitnik.game.annotations.LightBurningMob;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.mobs.services.zombie.ZombieData;
import cz.jzitnik.game.mobs.services.zombie.ZombieFallingAfterMineLogic;

@LightBurningMob
@CustomMobFallingAfterMineLogic(ZombieFallingAfterMineLogic.class)
@EntityRegistry("zombie")
public class Zombie extends Block {
    public Zombie() {
        super("zombie", SpriteLoader.SPRITES.ZOMBIE);
        setMob(true);
        setGhost(true);
        setSpriteState(cz.jzitnik.game.sprites.Zombie.ZombieState.TOP);
        setMineable(false);
        setData(new ZombieData());
        setHp(10);
    }
}
